"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.retry = void 0;
// Import Internal Dependencies
const Operation_class_1 = __importDefault(require("./class/Operation.class"));
const policies_1 = require("./policies");
async function retry(callback, options = {}, policy = policies_1.none) {
    const op = new Operation_class_1.default(options);
    do {
        try {
            const data = await callback();
            op.success(data);
        }
        catch (error) {
            if (policy(error)) {
                throw error;
            }
            await op.retry();
        }
    } while (op.continue);
    return op.toJSON();
}
exports.retry = retry;
//# sourceMappingURL=retry.js.map