export declare type ConsoleMessage = {
    message: string;
    underline: () => ConsoleMessage;
    italic: () => ConsoleMessage;
    bold: () => ConsoleMessage;
    prefix: (message: string) => ConsoleMessage;
    suffix: (message: string) => ConsoleMessage;
    print: () => void;
};
declare type ConsoleOutput<Output = string, Input = string> = (message: Input) => Output;
declare type ConsolePrinter = {
    font: {
        standard: ConsoleOutput<ConsoleMessage>;
        highlight: ConsoleOutput<ConsoleMessage>;
        info: ConsoleOutput<ConsoleMessage>;
        error: ConsoleOutput<ConsoleMessage>;
        success: ConsoleOutput<ConsoleMessage>;
        highlightedSuccess: ConsoleOutput<ConsoleMessage>;
        highlightedError: ConsoleOutput<ConsoleMessage>;
    };
    decoration: {
        bold: ConsoleOutput;
        underline: ConsoleOutput;
        italic: ConsoleOutput;
    };
    util: {
        concatOutputs: ConsoleOutput<ConsoleMessage, string[]>;
        emptyLine: () => void;
    };
};
export declare const consolePrinter: ConsolePrinter;
export declare function removeWhiteSpaces(msg: string): string;
export {};
