import { GlobalWarning } from "@nodesecure/scanner/types/scanner";
import { StandardVulnerability } from "@nodesecure/vuln/types/strategy";
import type { DependencyWarning } from "../lib/types";
export declare type CheckResult = "failed" | "passed";
export declare type CheckableFunction<T> = {
    result: CheckResult;
    data: {
        key: string;
        value: T[];
    };
};
export declare type PipelineCheckFunctions = Array<() => CheckableFunction<GlobalWarning | DependencyWarning | StandardVulnerability>>;
export declare const FAILING_CHECK: CheckResult;
export declare function convertBooleanAsCheckResult(result: boolean): CheckResult;
