import * as RC from "../nodesecurerc.js";
import * as postPipelineReporting from "./post-pipeline/index.js";
function initializeReporter(reporter) {
    return reporter === RC.reporterTarget.CONSOLE
        ? postPipelineReporting.consoleReporter
        : postPipelineReporting.htmlReporter;
}
export async function runReporting(payload, rc) {
    const reportersTasks = rc.reporters.map((reporter) => {
        const { report } = initializeReporter(reporter);
        return report({ ...payload, ...rc });
    });
    await Promise.all(reportersTasks);
}
//# sourceMappingURL=runner.js.map