import { Scanner } from "@nodesecure/scanner";
import { GlobalWarning } from "@nodesecure/scanner/types/scanner";
import { Strategy } from "@nodesecure/vuln";
import type { DependencyWarning } from "../lib/types";
export declare type CompactedScannerPayload = {
    warnings: GlobalWarning[];
    dependencies: {
        warnings: DependencyWarning[];
        vulnerabilities: WorkableVulnerability[];
    };
};
export declare type WorkableVulnerability = Strategy.StandardVulnerability & {
    severity: Strategy.Severity;
    package: string;
};
/**
 * In order to simplify the next step of scanner payload interpretation, we
 * extract reduce the payload data to only match interpreter requirements.
 */
export declare function extractScannerPayload(payload: Scanner.Payload): CompactedScannerPayload;
